from PIL import Image 

PATH = "/home/cugur/Downloads/matf/dozs/2024/week3/data/yugo.jpg"

with Image.open(PATH) as img:

    print("Rezolucija ucitane slike: ", img.size)
    print("Tip slike: ", type(img))
    height = img.height
    width = img.width
    print("Visina slike: ", height)
    print("Sirina slike: ", width)

    pixels = img.load()
    print("Pikseli slike: ", type(pixels))
    img.show()

    # matrica dimenzija 1000 x 666 sto je 666000 piksela gde je svaki piksel uredjena trojka (R, G, B) gre R, G, B koordinate idu od 0 do 255
    for i in range(width):
        for j in range(height):

            print("image[{}, {}] = {}".format(i, j, pixels[i, j]))
            r, g, b = pixels[i, j]
            pixels[i, j] = (r, 0, 0)  # zamaskiramo Green i Blue koordinate piksela

    img.show()

    # Domaci zadatak: kretanjem kroz piksele: 
    # a) obrisati R i G koodinate. Prikazati rezultujucu sliku.
    # b) Postaviti vrednosti R piksela kao vrednosti G piksela. Prikazati dobijenu sliku. Izvesti zakljucke. 